Loading...
Searching...
No Matches
uhd::experts::dag_vertex_t Class Referenceabstract

`#include <uhd/experts/expert_nodes.hpp>`

Inheritance diagram for uhd::experts::dag_vertex_t:
[legend]
Collaboration diagram for uhd::experts::dag_vertex_t:
[legend]

## Public Types

typedef std::function< void(std::string)> | callback_func_t

## Public Member Functions

virtual | ~dag_vertex_t ()
node_class_t | get_class () const
const std::string & | get_name () const
virtual const std::string & | get_dtype () const =0
virtual std::string | to_string () const =0
virtual bool | is_dirty () const =0
virtual void | mark_clean ()=0
virtual void | force_dirty ()=0
virtual void | resolve ()=0
virtual void | set_write_callback (const callback_func_t &func)=0
virtual bool | has_write_callback () const =0
virtual void | clear_write_callback ()=0
virtual void | set_read_callback (const callback_func_t &func)=0
virtual bool | has_read_callback () const =0
virtual void | clear_read_callback ()=0

## Protected Member Functions

| dag_vertex_t (const node_class_t c, const std::string &n)

## Detailed Description

class dag_vertex_t

This serves as the base class for all nodes in the expert

## graph. Data nodes and workers are derived from this class.

## Member Typedef Documentation

## callback_func_t

typedef std::function<void(std::string)> uhd::experts::dag_vertex_t::callback_func_t

## Constructor & Destructor Documentation

## ~dag_vertex_t()

virtual uhd::experts::dag_vertex_t::~dag_vertex_t | ( |  | ) |

inline virtual

## dag_vertex_t()

uhd::experts::dag_vertex_t::dag_vertex_t | ( | const node_class_t | c,
|  | const std::string & | n )

inline protected

## Member Function Documentation

## clear_read_callback()

virtual void uhd::experts::dag_vertex_t::clear_read_callback | ( |  | ) |

pure virtual

## clear_write_callback()

virtual void uhd::experts::dag_vertex_t::clear_write_callback | ( |  | ) |

pure virtual

## force_dirty()

virtual void uhd::experts::dag_vertex_t::force_dirty | ( |  | ) |

pure virtual

Implemented in uhd::experts::data_node_t< data_t >.

## get_class()

node_class_t uhd::experts::dag_vertex_t::get_class | ( |  | ) | const

inline

## get_dtype()

virtual const std::string & uhd::experts::dag_vertex_t::get_dtype | ( |  | ) | const

pure virtual

Implemented in uhd::experts::data_node_t< data_t >.

## get_name()

const std::string & uhd::experts::dag_vertex_t::get_name | ( |  | ) | const

inline

## has_read_callback()

virtual bool uhd::experts::dag_vertex_t::has_read_callback | ( |  | ) | const

pure virtual

## has_write_callback()

virtual bool uhd::experts::dag_vertex_t::has_write_callback | ( |  | ) | const

pure virtual

## is_dirty()

virtual bool uhd::experts::dag_vertex_t::is_dirty | ( |  | ) | const

pure virtual

Implemented in uhd::experts::data_node_t< data_t >.

## mark_clean()

virtual void uhd::experts::dag_vertex_t::mark_clean | ( |  | ) |

pure virtual

Implemented in uhd::experts::data_node_t< data_t >.

## resolve()

virtual void uhd::experts::dag_vertex_t::resolve | ( |  | ) |

pure virtual

Implemented in uhd::experts::data_node_t< data_t >.

## set_read_callback()

virtual void uhd::experts::dag_vertex_t::set_read_callback | ( | const callback_func_t & | func | ) |

pure virtual

## set_write_callback()

virtual void uhd::experts::dag_vertex_t::set_write_callback | ( | const callback_func_t & | func | ) |

pure virtual

## to_string()

virtual std::string uhd::experts::dag_vertex_t::to_string | ( |  | ) | const

pure virtual

Implemented in uhd::experts::data_node_t< data_t >.

The documentation for this class was generated from the following file:

- expert_nodes.hpp